This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 993401 - BPM Implementation properties - resource table throws NPE when removing a resource from the list
BPM Implementation properties - resource table throws NPE when removing a res...
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER2
: ---
Assigned To: Brian Fitzpatrick
Jiri Pechanec
:
Depends On: 993392
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 16:38 EDT by Brian Fitzpatrick
Modified: 2014-06-16 19:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1636 Major Closed BPM Implementation - resource table throws NPE when removing a resource from the list 2014-06-16 19:51:36 EDT

  None (edit)
Description Brian Fitzpatrick 2013-08-05 16:38:03 EDT
Description of problem:
Selecting a resource in the Manifest/resources list and clicking the Remove button generates an NPE.

Version-Release number of selected component (if applicable):
1.0-

How reproducible:
Consistently

Steps to Reproduce:
1. Open a SwitchYard configuration with a component that has a BPM implementation and open the properties in the Property dialog.
2. Select a resource in the Manifest/Resources table (first tab of control).
3. Click the Remove button.

Actual results:
NPE

java.lang.NullPointerException
       at org.switchyard.tools.ui.bpmn2.component.BPMResourceTable.removeFromList( BPMResourceTable.java:298)
       at org.switchyard.tools.ui.bpmn2.component.BPMResourceTable$3.widgetSelected( BPMResourceTable.java:232)
       at org.eclipse.swt.widgets.TypedListener.handleEvent( TypedListener.java:248)
       at org.eclipse.swt.widgets.EventTable.sendEvent( EventTable.java:84 )
       at org.eclipse.swt.widgets.Widget.sendEvent( Widget.java:1057 )
       at org.eclipse.swt.widgets.Display.runDeferredEvents( Display.java:4170 )
       at org.eclipse.swt.widgets.Display.readAndDispatch( Display.java:3759 )
       at org.eclipse.jface.window.Window.runEventLoop( Window.java:826 )
       at org.eclipse.jface.window.Window.open( Window.java:802 )
       at org.switchyard.tools.ui.editor.diagram.PropertiesDialogFeature.execute( PropertiesDialogFeature.java:118)
       at org.eclipse.graphiti.features.custom.AbstractCustomFeature.execute( AbstractCustomFeature.java:83)
       at org.eclipse.graphiti.internal.command.GenericFeatureCommandWithContext.execute( GenericFeatureCommandWithContext.java:64)
       at org.eclipse.graphiti.ui.internal.command.GefCommandWrapper.execute( GefCommandWrapper.java:51)
       at org.eclipse.graphiti.ui.internal.editor.EmfOnGefCommand.execute( EmfOnGefCommand.java:54)
       at org.eclipse.graphiti.internal.command.GFPreparableCommand2.doExecute( GFPreparableCommand2.java:37)
       at org.eclipse.emf.transaction.RecordingCommand.execute( RecordingCommand.java:135)
       at org.eclipse.emf.workspace.EMFCommandOperation.doExecute( EMFCommandOperation.java:119)
       at org.eclipse.emf.workspace.AbstractEMFOperation.execute( AbstractEMFOperation.java:150)
       at org.eclipse.core.commands.operations.DefaultOperationHistory.execute( DefaultOperationHistory.java:513)
       at org.eclipse.emf.workspace.impl.WorkspaceCommandStackImpl.doExecute( WorkspaceCommandStackImpl.java:208)
       at org.eclipse.emf.transaction.impl.AbstractTransactionalCommandStack.execute( AbstractTransactionalCommandStack.java:165)
       at org.eclipse.graphiti.ui.internal.editor.GFWorkspaceCommandStackImpl.execute( GFWorkspaceCommandStackImpl.java:84)
       at org.eclipse.graphiti.ui.internal.editor.GFCommandStack.execute( GFCommandStack.java:138)
       at org.eclipse.graphiti.ui.editor.DiagramBehavior.executeFeature( DiagramBehavior.java:1084)
       at org.eclipse.graphiti.tb.AbstractContextEntry.execute( AbstractContextEntry.java:71)
       at org.eclipse.graphiti.ui.internal.contextbuttons.ContextButton.actionPerformed( ContextButton.java:643)
       at org.eclipse.draw2d.Clickable.fireActionPerformed( Clickable.java:206 )
       at org.eclipse.draw2d.Clickable$1.actionPerformed( Clickable.java:175 )
       at org.eclipse.draw2d.ButtonModel.fireActionPerformed( ButtonModel.java:140 )
       at org.eclipse.draw2d.ButtonModel$DefaultFiringBehavior.released( ButtonModel.java:506)
       at org.eclipse.draw2d.ButtonModel.fireReleased( ButtonModel.java:179 )
       at org.eclipse.draw2d.ButtonModel.setPressed( ButtonModel.java:466 )
       at org.eclipse.draw2d.ClickableEventHandler.mouseReleased( ClickableEventHandler.java:92)
       at org.eclipse.draw2d.Figure.handleMouseReleased( Figure.java:944 )
       at org.eclipse.graphiti.ui.internal.contextbuttons.ContextButton.handleMouseReleased( ContextButton.java:548)
       at org.eclipse.draw2d.SWTEventDispatcher.dispatchMouseReleased( SWTEventDispatcher.java:267)
       at org.eclipse.gef.ui.parts.DomainEventDispatcher.dispatchMouseReleased( DomainEventDispatcher.java:374)
       at org.eclipse.draw2d.LightweightSystem$EventHandler.mouseUp( LightweightSystem.java:548)
       at org.eclipse.swt.widgets.TypedListener.handleEvent( TypedListener.java:220)
       at org.eclipse.swt.widgets.EventTable.sendEvent( EventTable.java:84 )
       at org.eclipse.swt.widgets.Widget.sendEvent( Widget.java:1057 )
       at org.eclipse.swt.widgets.Display.runDeferredEvents( Display.java:4170 )
       at org.eclipse.swt.widgets.Display.readAndDispatch( Display.java:3759 )
       at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$9.run( PartRenderingEngine.java:1113)
       at org.eclipse.core.databinding.observable.Realm.runWithDefault( Realm.java:332)
       at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run( PartRenderingEngine.java:997)
       at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI( E4Workbench.java:138)
       at org.eclipse.ui.internal.Workbench$5.run( Workbench.java:610 )
       at org.eclipse.core.databinding.observable.Realm.runWithDefault( Realm.java:332)
       at org.eclipse.ui.internal.Workbench.createAndRunWorkbench( Workbench.java:567)
       at org.eclipse.ui.PlatformUI.createAndRunWorkbench( PlatformUI.java:150 )
       at org.eclipse.ui.internal.ide.application.IDEApplication.start( IDEApplication.java:124)
       at org.eclipse.equinox.internal.app.EclipseAppHandle.run( EclipseAppHandle.java:196)
       at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication( EclipseAppLauncher.java:110)
       at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start( EclipseAppLauncher.java:79)
       at org.eclipse.core.runtime.adaptor.EclipseStarter.run( EclipseStarter.java:354)
       at org.eclipse.core.runtime.adaptor.EclipseStarter.run( EclipseStarter.java:181)
       at sun.reflect.NativeMethodAccessorImpl.invoke0( Native Method )
       at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
       at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
       at java.lang.reflect.Method.invoke(Unknown Source)
       at org.eclipse.equinox.launcher.Main.invokeFramework( Main.java:636 )
       at org.eclipse.equinox.launcher.Main.basicRun( Main.java:591 )
       at org.eclipse.equinox.launcher.Main.run( Main.java:1450 )
       at org.eclipse.equinox.launcher.Main.main( Main.java:1426 )

Activity

Expected results:
No NPE. Resource is removed successfully.


Additional info:
Comment 2 Brian Fitzpatrick 2013-08-13 11:15:41 EDT
The fixes made for Bug 993392 has fixed this issue as well. It was a matter of not successfully getting the transaction editing domain under the covers from the "active editor", which we're trying to get away from for this intermittent issue.
Comment 3 JBoss JIRA Server 2013-08-19 11:10:14 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> updated the status of jira SWITCHYARD-1636 to Resolved
Comment 4 JBoss JIRA Server 2013-08-19 11:10:14 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1636

Was fixed by separate PR
Comment 5 Jiri Pechanec 2013-09-17 08:24:19 EDT
Verified in ER2
Comment 9 JBoss JIRA Server 2014-06-16 19:51:36 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1636 to Closed

Note You need to log in before you can comment on or make changes to this bug.